Subject: RE: [Ipoverib] Re: [dhcwg] WG Last Call for DHCP draft

From: [email-masked]
Date: Wed, 26 Jan 2005 11:06:49 -0700

I have seen Vivek posting an updated
draft-ietf-ipoib-dhcp-over-infiniband-08.txt.  I would like to make a
final last call on the updated changes that we were asked to make by
the DHC WG.

Can we run a shortened last call to end 31 Jan 2005.

If you need more time to review the draft - please get back to me and I
will of course accomodate your time.

Ted - can you verify that you are happy or want more/different changes
made ?

Thank you for your time

Bill
co-chair IPoIB WG

> -------- Original Message --------
> Subject: Re: [Ipoverib] Re: [dhcwg] WG Last Call for DHCP draft
> From: "Vivek Kashyap" <[email-masked]>
> Date: Tue, January 25, 2005 9:50 pm
> To: "Bill Strahm" <[email-masked]>
> Cc: [email-masked], [email-masked], "Ted Lemon" <[email-masked]>,
> [email-masked], "'Ralph Droms'" <[email-masked]>
>
> Picking up the thread again with the Ted's comments/Bill's questions:
>
> On Mon, 20 Dec 2004, Bill Strahm wrote:
>
> > Vivek,
> >
> > One question is hard, one is easy...
> >
> > On Wed, 2004-12-15 at 20:55 -0700, Ted Lemon wrote:
> > > This draft uses a SHOULD to specify what data should be in the client
> > > identifier. This is in conflict with another draft that's in the
> > > process of working its way through to last call -
> > > draft-ietf-dhc-3315id-for-v4-??.txt. This is a bad thing - someone
> > > reading this spec will wonder which of the two specifications
> > > supersedes the other. I don't see any reason to specify the format of
> > > the client identifier in this draft - instead, refer the reader to
> > > draft-ietf-dhc-3315id-for-v4-??.txt and to RFC2132 for advice on how to
> > > format the client-identifier option.
> > >
> > This is the hard question... What should we do about this... I think we
> > should take this  request - and say our client ID SHOULD follow RFC2132
> > (if I understand the problem correctly)... Is there any non-capped
> > advise that we can give ?
>
> I looked at the ID Ted has pointed to and that helped me understand Ted's
> comment a lot better. I've modified the draft such that it no longer
> states SHOULD for any particular format but idhjnstead gives the listed
> formats as examples of possible uses.  Ted's draft is not mandatory either.
> A user therefore has the option of using any of the formats described.
>
> The above change is included in the next version (-08.txt) of the draft.
>
> >
> > Can you propose a change for this Vivek ?
> >
> > > Also, you have a reference to RFC1542. This is superseded by RFC2132,
> > > so you should refer to RFC2132 instead - it is a huge mistake for
> > > someone to read RFC1542 as advice on how to implement a DHCP client,
> > > and so this draft shouldn't imply that the reader ought to look at
> > > RFC1542 - he or she oughtn't.
> > >
> > OK - this is the easy one.  Can you change the reference to RFC2132.
> >
> > Any objections to this for closing this issue ?
>
> I've kept the reference to RFC1542 because RFC 2131 itself points to RFC1542
> when discussing the ramifications of using the BROADCAST flag.
>
> Vivek
>
>
> >
> > Bill
> > > Ralph, what's going on with draft-ietf-dhc-3315id-for-v4-??.txt? This
> > > is getting a little bit embarrassing... :'}
> > >
> > I think this is DHC work - nothing for us to see here - IPoIB is moving
> > on
> >
> > Bill
> >
> >
> > _______________________________________________
> > IPoverIB mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ipoverib
> >
> >
>
>
> _______________________________________________
> IPoverIB mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipoverib

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg